Eclipse Platform Release 3.7

## org.eclipse.jface.text
Interface IPositionUpdater

All Known Implementing Classes:
  DefaultPositionUpdater, InclusivePositionUpdater, MultiPassContentFormatter.NonDeletingPositionUpdater

    public interface IPositionUpdater

A position updater is responsible for adapting document positions. When installed on a document, the position updater updates the document's positions to changes applied to this document. Document updaters can be selective, i.e. they might only update positions of a certain category.

Position updaters are of primary importance for the definition of the semantics of positions.

Clients may implement this interface or use the standard implementation `DefaultPositionUpdater`.

See Also:
  `IDocument`, `Position`

Method Summary
`void` `update(DocumentEvent event)` Adapts positions to the change specified by the document event.

Method Detail

### update

    void update(DocumentEvent event)

  Adapts positions to the change specified by the document event. It is ensured that the document's partitioning has been adapted to this document change and that all the position updaters which have a smaller index in the document's position updater list have been called.

  Parameters:
    `event` - the document event describing the document change

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.